using System;
using System.Text.RegularExpressions;
using fatd_faturamento.ENTIDADE.API.Interfaces;

namespace fatd_faturamento.ENTIDADE.API.FaturaInstantanea.Request
{
    public class entidadeAPIFaturaInstantaneaReCalcularFaturaRequest : entidadeAPIIRequestInterfaces
    {
        public string SISTEMA { get; set; }
        public string MESANOFATURAMENTO { get; set; }
        public int NUMEROFATURA { get; set; }
        public bool CALCULARDEVOLVERCREDITO { get; set; }

        public bool Valido(out string Mensagem)
        {
            Mensagem = String.Empty;

            if (string.IsNullOrEmpty(SISTEMA) || SISTEMA.Trim() == string.Empty)
            {
                Mensagem = "SISTEMA não Informado";
                return false;
            }

            if (string.IsNullOrEmpty(MESANOFATURAMENTO) || MESANOFATURAMENTO.Trim() == string.Empty || !Regex.IsMatch(MESANOFATURAMENTO, @"^[0-9]+$"))
            {
                Mensagem = "Mês ano do faturamento não Informado";
                return false;
            }

            if (NUMEROFATURA == 0)
            {
                Mensagem = "Numero da fatura não Informado";
                return false;
            }

            return true;
        }

    }
}
